io.vertx.rxjava3.ext.auth.oauth2.providers

## Class LinkedInAuth

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.oauth2.providers.LinkedInAuth

-     public class LinkedInAuth
      extends Object

  Simplified factory to create an for LinkedIn.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<LinkedInAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedInAuth(LinkedInAuth delegate)`
    `LinkedInAuth(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for LinkedIn
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for LinkedIn
    `boolean` | `equals(Object o)`
    `LinkedInAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static LinkedInAuth` | `newInstance(LinkedInAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<LinkedInAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### LinkedInAuth

          public LinkedInAuth(LinkedInAuth delegate)

    - #### LinkedInAuth

          public LinkedInAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public LinkedInAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for LinkedIn
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by LinkedIn
        `clientSecret` - the client secret given to you by LinkedIn
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for LinkedIn
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by LinkedIn
        `clientSecret` - the client secret given to you by LinkedIn
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static LinkedInAuth newInstance(LinkedInAuth arg)

Copyright © 2021 Eclipse. All rights reserved.